const formEl = document.getElementById("reset");
formEl.addEventListener('submit', (listener) => {
    listener.preventDefault();
    const formData = new FormData(formEl);
    if(formData.get("newPW") === formData.get("newPWConfirm")){
        formData.delete("newPWConfirm");
        const newPW = formData.get("newPW");
        formData.delete("newPW");
        formData.append("field", "password");
        formData.append("value", newPW);
        const object = Object.fromEntries(formData.entries());
        //TODO: Change this to use our api
        fetch('https://reqres.in/api/update', {
            method: 'POST',
            body: object
        }).then(res => {
            //TODO: Change success to use 200 rather than 201 (This is the code that the api testing service uses for the chosen api)
            if(res.status === 201) {
                document.getElementById('formStatus').innerHTML = "<span style='background-color: green; color: white'>Success</span>";
            } else if (res.status === 500){
                document.getElementById('formStatus').innerHTML = "<span style='background-color: red; color: white'>Failure</span>";
            } else {
                document.getElementById('formStatus').innerHTML = "<span style='background-color: red; color: white'>Failure: Failed to communicate to server</span>";
            }
        }).catch(error => document.getElementById('formStatus').innerHTML = "<span style='background-color: yellow; color: black'>Please try again</span>");
    } else {
        document.getElementById('formStatus').innerHTML = "<span style='background-color: red; color: white'>Failure: new passwords don't match</span>";
    }
});